Debian install today Again phyton-evas and Zhone

arne anka openmoko at
Fri Jan 2 10:59:37 CET 2009

> Installing python-evas_0.2.1-2_armel.deb from
> give's me this:
> debian-gta02:~# dpkg -i python-evas_0.2.1-2_armel.deb
> dpkg-deb: `python-evas_0.2.1-2_armel.deb' is not a debian format archive
> dpkg: error processing python-evas_0.2.1-2_armel.deb (--install):
>  subprocess dpkg-deb --control returned error exit status 2
> Errors were encountered while processing:
>  python-evas_0.2.1-2_armel.deb

check for the cython package (should be 0.9.something) and download my  
python-evas package again. i had no problems installing it, so probably it  
got corrupted during download.

debian-gta02:/tmp# md5sum python-evas_0.2.1-2_armel.deb
6acafa23aca1d1110f810527d4d5b2de  python-evas_0.2.1-2_armel.deb

> (there is already a python-evas_0.2.1-2 in the new install)

yes, but it is built against cython 0.10, not 0.9.
so far there where no reports if this is fixed, so on every update, that  
tries to installing cython and python-evas i manually install all packages  
except these two.
you could even use pinning in /etc/apt/preferences, thus the packages  
would be not upgraded -- but this way i always remember to check, if  
something changed.

More information about the community mailing list